Subject: bug#3751: 23.0.95; C-h H does not display hourglass cursor

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 18 Sep 2011 10:00:34 +0200

Eli Zaretskii <[email-masked]> writes:

>> Adding a "please wait..." message is easy enough, but is there any way
>> to determine when the wait is over?  Emacs hangs in redisplay, probably?
>> 
>> And just leaving the "please wait..." after the wait is over wouldn't be
>> nice, either.
>
> Would it work to let-bind view-mode-hook to some function that will
> just clear the echo area, around the call to view-file?

Hm.  Would that work?  I though that (basically) Emacs just put the
HELLO file in a window, and then the redisplay engine starts churning
and churning while the OS is loading all the fonts.

To clear the "please wait..." message you'd have to have a hook that's
run after redisplay is "finished", if that is even a possible concept.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/